import _Tag from "@alifd/next/es/tag";
import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["style", "content", "disabled", "plan", "jcfl", "size", "urlpage"];
import * as React from 'react';
import "./index.scss";
var BasicsStyTag = function BasicsStyTag(_ref) {
  var _ref$style = _ref.style,
    style = _ref$style === void 0 ? {} : _ref$style,
    content = _ref.content,
    disabled = _ref.disabled,
    plan = _ref.plan,
    jcfl = _ref.jcfl,
    size = _ref.size,
    urlpage = _ref.urlpage,
    otherProps = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _style = style || {};
  // _style.backgroundColor = '#E7E7E7'
  _style.border = 'none';
  var _otherProps = otherProps || {};
  _otherProps.style = _style;
  if (jcfl == 'primary') {
    return /*#__PURE__*/React.createElement(_Tag, _extends({
      prefix: "next-",
      disabled: disabled
    }, _otherProps, {
      size: size,
      className: plan ? 'primarystyplan' : 'primarysty'
      // onClick={pageUrl}
    }), content);
  }
  if (jcfl == 'success') {
    return /*#__PURE__*/React.createElement(_Tag, _extends({
      prefix: "next-",
      disabled: disabled
    }, _otherProps, {
      size: size
      // onClick={pageUrl}
      ,
      className: plan ? 'successstyplan' : 'successsty'
    }), content);
  }
  if (jcfl == 'warning') {
    return /*#__PURE__*/React.createElement(_Tag, _extends({
      prefix: "next-",
      disabled: disabled
    }, _otherProps, {
      size: size
      // onClick={pageUrl}
      ,
      className: plan ? 'warningstyplan' : 'warningsty'
    }), content);
  }
  if (jcfl == 'danger') {
    return /*#__PURE__*/React.createElement(_Tag, _extends({
      prefix: "next-",
      disabled: disabled
    }, _otherProps, {
      size: size
      // onClick={pageUrl}
      ,
      className: plan ? 'dangerstyplan' : 'dangersty'
    }), content);
  }
  if (jcfl == 'info') {
    return /*#__PURE__*/React.createElement(_Tag, _extends({
      prefix: "next-",
      disabled: disabled
    }, _otherProps, {
      size: size
      // onClick={pageUrl}
      ,
      className: plan ? 'infostyplan' : 'infosty'
    }), content);
  }
};
BasicsStyTag.displayName = 'BasicsStyTag';
export default BasicsStyTag;